VARKON Version 1.18A 2004-09-07

## rpc_clientcreate - function

Description
Create client for Remote Procedure calls (RPC)

Syntax
RPC_CLIENTCREATE(servername,programnumber,versionnumber,client);

STRING | servername
INT | programnumber
INT | versionnumber
INT | client

Principal parameters
severname | - Server to connect, name or ip-adress ("servername" or "nnn.nnn.nnn.nnn").
programnumber | - Program number in server to connect
versionnumber | - Version number of program in server
client | - variable to retrieve id of created client

Optional parameters
none

Return value
An INT value equal to the current error status as below:

0= | Success, client created
-1= | Failed to create client

Comments
To use the RAP variable access routines included in varkon, use: program number = 300456 program version = 1 See RAP protocolspecification (3FAC 7696-1), page 20. RPC (and RAP) routines is only available for xvarkon (UNIX platforms), the use of RPC/RAP-routines need also to be enabled when building xvarkon. See $VARKON_ROOT/sources/makefile.

See also
rpc_clientcreate() rpc_clientdestroy()

VARKON Homepage | Index